package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by daiyihua.
 */
@Entity
@Table(name = "login_log")
public class LoginLog {

//
//    `id` int(11) not null comment '主键',
//            `user_id` int(11) not null comment '用户表ID',
//            `ip` varchar(32) comment 'ip地址',
//            `create_time` datetime  comment '创建时间',
//            `type` int(11) comment '登录的系统',
//    primary key (`id`)

    @Id
    private Integer id;
    /**
     * 用户ID
     */
    @Column(name = "user_id")
    private Integer userId;
    /**
     * ip地址
     */
    @Column(name = "ip")
    private String ip;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createtime;

    /**
     * 登录的系统类型（1-pc处方系统）
     */
    private Integer type;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
